## pytorch 2.9.0%2Bdfsg

=== debian/tests/control ===
# Sanity test of python package
Test-Command: cd test/ ; python3 -c "import sys, torch as th; print(sys.version, th.__path__, th.__version__)"
Depends: python3-torch,
Restrictions: allow-stderr
Features: test-name=py_import_and_version

Test-Command: cd debian/tests ; python3 blas.py
Depends: python3-torch, libopenblas0
Restrictions: allow-stderr
Features: test-name=py_blas_openblas

Test-Command: cd debian/tests ; python3 blas.py
Depends: python3-torch, libblis4
Restrictions: allow-stderr
Features: test-name=py_blas_blis

Test-Command: cd debian/tests ; python3 sequential.py
Depends: python3-torch,
Restrictions: allow-stderr
Features: test-name=py_sequential

# Check dangling symbol links
#Test-Command: cd debian/tests ; export TH_PATH="$(python3 -c 'import torch; print(torch.__path__[0])')"; test -z "$(find ${TH_PATH}/lib -xtype l)"
#Depends: python3-torch,
#Restrictions: allow-stderr
#Features: test-name=py_torch_no_dangling_symlink

# We are only printing those for package maintainers. The find command may fail due to a dangling symlink from other packages.
Test-Command: cd debian/tests ; find /usr -xtype l -print || true
Depends: @
Restrictions: allow-stderr
Features: test-name=show_dangling_symlink_if_any

# Real functionality test
# We exclude s390x because the training data bytes are little-endian.
Test-Command: sh debian/tests/train-mnist.sh
Depends: @, python3-torchvision, dataset-fashion-mnist, libopenblas0
Restrictions: allow-stderr
Features: test-name=real_train_mnist
Architecture: !s390x

# Generating Autopkgtest Test Cases for the C++ Testing Programs
# Found 110 tests
#
# C++ test 1/110
Test-Command: /usr/lib/libtorch-test/CppSignature_test
Depends: build-essential, ninja-build, libtorch-dev, libtorch-test
Features: test-name=1_of_110__cpptest__CppSignature_test
Restrictions: allow-stderr

# C++ test 2/110
Test-Command: /usr/lib/libtorch-test/Dict_test
Depends: build-essential, ninja-build, libtorch-dev, libtorch-test
Features: test-name=2_of_110__cpptest__Dict_test
Restrictions: allow-stderr

# C++ test 3/110
Test-Command: /usr/lib/libtorch-test/Dimname_test
Depends: build-essential, ninja-build, libtorch-dev, libtorch-test
Features: test-name=3_of_110__cpptest__Dimname_test
Restrictions: allow-stderr

# C++ test 4/110
Test-Command: /usr/lib/libtorch-test/IListRef_test
Depends: build-essential, ninja-build, libtorch-dev, libtorch-test
Features: test-name=4_of_110__cpptest__IListRef_test
Restrictions: allow-stderr

# C++ test 5/110
Test-Command: /usr/lib/libtorch-test/KernelFunction_test
Depends: build-essential, ninja-build, libtorch-dev, libtorch-test
Features: test-name=5_of_110__cpptest__KernelFunction_test
Restrictions: allow-stderr

# C++ test 6/110
Test-Command: /usr/lib/libtorch-test/List_test
Depends: build-essential, ninja-build, libtorch-dev, libtorch-test
Features: test-name=6_of_110__cpptest__List_test
Restrictions: allow-stderr

# C++ test 7/110
Test-Command: /usr/lib/libtorch-test/MaybeOwned_test

## pytorch 2.9.0+dfsg

=== debian/changelog ===
pytorch (2.9.0+dfsg-1~exp1) experimental; urgency=medium

  * d/copyright: exclude more bundled third-party sources from source tar.
  * New upstream version 2.9.0+dfsg.
    + bump SONAME to libtorch2.9.
    + update embedded version of kineto and pocketfft.
    + d/copyright: change path of embedded folders.
    + fix CVE-2025-2953  (closes: #1102229).
    + fix CVE-2025-2998  (closes: #1102230).
    + fix CVE-2025-2999  (closes: #1102231).
    + fix CVE-2025-3001  (closes: #1102233).
    + fix CVE-2025-3730  (closes: #1103455).
    + fix CVE-2025-55560 (closes: #1116531).
    + fix CVE-2025-55558 (closes: #1116532).
    + fix CVE-2025-55557 (closes: #1116533).
    + fix CVE-2025-55553 (closes: #1116535).
    + fix CVE-2025-55552 (closes: #1116536).
    + fix CVE-2025-46153 (closes: #1116538).
    + fix CVE-2025-46152 (closes: #1116539).
    + fix CVE-2025-46150 (closes: #1116540).
    + fix CVE-2025-46149 (closes: #1116541).
    + fix CVE-2025-46148 (closes: #1116542).
    + Update lintian-overrides patterns.
  * d/control:
    + bump std-ver to 4.7.3 (no changes required).
    + add libconcurrentqueue-dev in B-D.
    + add new Python B-Ds from pyproject.toml.
  * d/patches:
    + refresh existing patches, remove applied.
    + add missing gloo to libraries needed by tests.
    + do not link libtorch_python against libtorch.
  * d/: switch to llvm-21 toolchain (closes: #1124061).
  * Switch to PEP-517 build system:
    + d/control: add pybuild-plugin-pyproject in B-D.
    + d/rules: use pip to build instead of directly calling setup.py.

 -- Shengqi Chen <harry@debian.org>  Sun, 28 Dec 2025 23:37:08 +0800

=== debian/control ===
Source: pytorch
Section: science
Homepage: https://pytorch.org/
Priority: optional
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>, Shengqi Chen <harry@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               googletest,
               glslc,
               libblas-dev,
               libbenchmark-dev,
               libconcurrentqueue-dev,
               libcpuinfo-dev (>= 0.0~git20230113.6481e8b~),
               libcpp-httplib-dev,
               libdnnl-dev (>= 3.6.0~) [amd64 arm64 ppc64el s390x],
               libeigen3-dev,
               libfmt-dev,
               libfp16-dev (>= 0.0~git20200514.4dfe081~),
               libflatbuffers-dev,
               flatbuffers-compiler-dev,
               libfxdiv-dev (>= 0.0~git20200417.b408327~),
               libgloo-dev (>= 0.0~git20231202.5354032-5) [amd64 arm64 ppc64el s390x riscv64],
               libuv1-dev,
               mpi-default-dev,
               libideep-dev (>= 0.0~git20230825.6f4d653~) [amd64 arm64 ppc64el s390x],
               liblapack-dev,
               llvm-21,
               llvm-21-dev,
               libnuma-dev,
               libonnx-dev (>= 1.14.1~),
               libprotobuf-dev,
               libprotoc-dev,
               libpsimd-dev (>= 0.0~git20200517.072586a~),
               libpthreadpool-dev (>= 0.0~git20210507.1787867~),
               libsleef-dev (>= 3.6.1-1~),
               libsnappy-dev,
               libtensorpipe-dev (>= 0.0~git20220513.bb1473a~),
               libzstd-dev,
               libvulkan-dev,
               libvulkan-memory-allocator-dev,
               libxnnpack-dev (>= 0.0~git20241108.4ea82e5~) [amd64 arm64 riscv64],
               nlohmann-json3-dev,
               ninja-build,
               protobuf-compiler,
               pybind11-dev,
               pybuild-plugin-pyproject,
               python3,
               python3-cffi,
               python3-dev,
               python3-expecttest,
               python3-filelock,
               python3-fsspec,
               python3-hypothesis,
               python3-jinja2,
               python3-networkx,
               python3-numpy,
               python3-numpy-dev,
               python3-onnx,
               python3-pip,
               python3-pybind11,
               python3-setuptools,
               python3-sympy,
               python3-yaml,
               patchelf,

Package: python3-torch
Section: python
Architecture: amd64 arm64 ppc64el s390x riscv64
Depends: libtorch2.9 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libtorch-test (= ${binary:Version}),
# PyTorch's JIT (C++ Extension) functionality needs development files/tools.
Recommends: libtorch-dev (= ${binary:Version}),
            build-essential,
            ninja-build,
            pybind11-dev,
Suggests: python3-hypothesis, python3-pytest
Provides: ${python3:Provides}, python3-torch-api-2.9
Conflicts: python3-torch-cuda
Replaces: python3-torch-cuda
Description: Tensors and Dynamic neural networks in Python (Python Interface)
 PyTorch is a Python package that provides two high-level features:
 .
 (1) Tensor computation (like NumPy) with strong GPU acceleration
 (2) Deep neural networks built on a tape-based autograd system
 .
 You can reuse your favorite Python packages such as NumPy, SciPy and Cython
 to extend PyTorch when needed.
 .
 This is the CPU-only version of PyTorch (Python interface).

Package: libtorch-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el s390x riscv64
Depends: libtorch2.9 (= ${binary:Version}),
         python3-dev,
         libprotobuf-dev,
         ${misc:Depends}
Conflicts: libtorch-cuda-dev
Replaces: libtorch-cuda-dev
Description: Tensors and Dynamic neural networks in Python (Development Files)
 PyTorch is a Python package that provides two high-level features:
 .
 (1) Tensor computation (like NumPy) with strong GPU acceleration
 (2) Deep neural networks built on a tape-based autograd system
 .
 You can reuse your favorite Python packages such as NumPy, SciPy and Cython
 to extend PyTorch when needed.
 .
 This is the CPU-only version of PyTorch (Development files).

Package: libtorch2.9
Section: libs
Architecture: amd64 arm64 ppc64el s390x riscv64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libgloo0 (>= 0.0~git20231202.5354032-5),
Recommends: libopenblas0 | libblis3 | libatlas3-base | libmkl-rt | libblas3,
Conflicts: libtorch1.13, libtorch-cuda-1.13,
           libtorch2.0, libtorch-cuda-2.0,
           libtorch2.1, libtorch-cuda-2.1,
           libtorch2.4, libtorch-cuda-2.4,
           libtorch2.5, libtorch-cuda-2.5,
           libtorch-cuda-2.6, libtorch-cuda-2.9
Replaces: libtorch1.13, libtorch-cuda-1.13,
          libtorch2.0, libtorch-cuda-2.0,
          libtorch2.1, libtorch-cuda-2.1,
          libtorch2.4, libtorch-cuda-2.4,
          libtorch2.5, libtorch-cuda-2.5,
          libtorch-cuda-2.6, libtorch-cuda-2.9
Description: Tensors and Dynamic neural networks in Python (Shared Objects)
 PyTorch is a Python package that provides two high-level features:
 .
 (1) Tensor computation (like NumPy) with strong GPU acceleration
 (2) Deep neural networks built on a tape-based autograd system
 .
 You can reuse your favorite Python packages such as NumPy, SciPy and Cython
 to extend PyTorch when needed.
 .
 This is the CPU-only version of PyTorch (Shared Objects).

Package: libtorch-test
Section: libs
Architecture: amd64 arm64 ppc64el s390x riscv64
Depends: libtorch2.9 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Conflicts: libtorch-cuda-test
Replaces: libtorch-cuda-test
Description: Tensors and Dynamic neural networks in Python (Test Binaries)
 PyTorch is a Python package that provides two high-level features:
 .
 (1) Tensor computation (like NumPy) with strong GPU acceleration
 (2) Deep neural networks built on a tape-based autograd system
 .
 You can reuse your favorite Python packages such as NumPy, SciPy and Cython
 to extend PyTorch when needed.
 .
 This is the CPU-only version of PyTorch (Test Binaries).

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8
export DEB_PYTHON_INSTALL_LAYOUT=deb_system
export PYBUILD_DISABLE_python2 = 1
export PYBUILD_NAME = torch
export PYTORCH_BUILD_VERSION = $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))
export PYTORCH_VERSION = $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))
export SOVERSION = 2.9
export PATCH = 0
export SOVERSION_FULL = $(SOVERSION).$(PATCH)

include /usr/share/dpkg/buildflags.mk
ORIG_CFLAGS := $(CFLAGS)
ORIG_CPPFLAGS := $(CPPFLAGS)
ORIG_CXXFLAGS := $(CXXFLAGS)

# --[[ maintainer notes ]]--
# How to dump the flags for the upstream built instance:
# $ python3 -c 'import torch as th; print(th.__version__, th.__config__.show())'

# [special blas configurations]
# We use a run-time switching mechanism for BLAS/LAPACK.
# https://wiki.debian.org/DebianScience/LinearAlgebraLibraries
# Even if the torch package is built against the generic library, the backend
# libblas.so.3 is in fact automatically switched to the fastest implementation.
export BLAS = Generic
export GENERIC_BLAS_LIBRARIES = blas

# [misc configurations]
export _WNOERROR_ = -Wno-dangling-reference
ifneq (,$(shell command -v mold))
export LD=mold
export __LD=-fuse-ld=mold
else
ifneq (,$(shell command -v lld))
export LD=lld
export __LD=-fuse-ld=lld
else
export LD=ld
export __LD=
endif
endif
export CFLAGS := $(ORIG_CPPFLAGS) \
					$(ORIG_CFLAGS) \
					-gsplit-dwarf $(_WNOERROR_) $(__LD) -I/usr
export CXXFLAGS := $(ORIG_CPPFLAGS) \
					$(ORIG_CXXFLAGS) \
					-gsplit-dwarf $(_WNOERROR_) $(__LD) -I/usr
export ONNX_NAMESPACE = onnx
export REL_WITH_DEB_INFO = ON
export USE_GFLAGS= OFF
export USE_GLOG = OFF
export USE_SYSTEM_LIBS = ON
export USE_KINETO = ON
export USE_ITT = OFF
export USE_LLVM := $(shell llvm-config-21 --prefix)

# [device specific -- Vulkan backend support]
# See https://pytorch.org/tutorials/prototype/vulkan_workflow.html
export USE_VULKAN=1

# [device specific -- CPU/CUDA/ROCm configurations]
ifneq (,$(shell command -v nvcc))
# -- CUDA version
export CUDA_HOME=/usr
export CC=cuda-gcc
export CXX=cuda-g++
export BUILD_SPLIT_CUDA=ON  # this is a workaround to linker overflow
# Refer the following webpage for CUDA capacity of different GPUs:
#   https://developer.nvidia.com/cuda-gpus
# Note, cuda compute architecture is backward compatible. Namely the code
# compiled for 8.6 (e.g., RTX3090) can run on a device with 8.9 (e.g., RTX4090)
# capability. See the following documentation for more on compatibility:
#   https://docs.nvidia.com/cuda/hopper-compatibility-guide/index.html
# The following is the PyTorch upstream's CUDA device compatibility list,
# based on their binary pypi wheels.
# In [1]: import torch
# In [3]: torch.cuda.get_arch_list()
# Out[3]: ['sm_50', 'sm_60', 'sm_70', 'sm_75', 'sm_80', 'sm_86', 'sm_90']
export TORCH_CUDA_ARCH_LIST = 5.0;6.0;7.0;7.5;8.0;8.6;9.0+PTX
export NO_CUDA = 0
export USE_CUDA = ON
export USE_CUDNN = ON
export USE_SYSTEM_NCCL = ON
export USE_ROCM = OFF
export USE_MIOPEN = OFF
export USE_MAGMA = OFF
else ifneq (,$(shell command -v hipcc))
# ROCm version
export NO_CUDA = 1
export USE_CUDA = 0
export USE_ROCM = 1
export USE_MIOPEN = 1
export ROCM_PATH = /usr
export PYTORCH_ROCM_ARCH = gfx1100
else
# CPU version
export NO_CUDA = 1
export USE_CUDA = OFF
export USE_CUDNN = OFF
export USE_SYSTEM_NCCL = OFF
export USE_ROCM = OFF
export USE_MIOPEN = OFF
export DEB_OVERRIDE_CAFFE2_PY_PATH=$(CURDIR)/debian/python3-torch/
endif

# [distributed/communication configurations]
export USE_DISTRIBUTED = ON
# gloo: for cuda version we need gloo-cuda, for cpu version we use gloo
export USE_GLOO = ON
# mpi: for cpu version are are good. for cuda version we need cuda-aware
#	  mpi which is not present in the archive.
ifneq (,$(shell command -v nvcc))
export USE_MPI = OFF
else
export USE_MPI = ON
endif
# tensorpipe: this has been deprecated and archived by upstream.
#   but disabling it will cause issues.
#   https://github.com/pytorch/pytorch/issues/97397 
export USE_TENSORPIPE = ON

# [CPU training and inference]
export USE_FBGEMM = OFF  # XXX: forget this; No need to enable.
# onednn: intel's backend
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el))
export USE_MKLDNN = ON  # requires ideep and onednn.
else
export USE_MKLDNN = OFF
endif
# embedded qnnpack: pytorch's embedded qnnpack implementation
# see: aten/src/ATen/native/quantized/cpu/qnnpack/
ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
export USE_PYTORCH_QNNPACK = ON
else
export USE_PYTORCH_QNNPACK = OFF
endif
# nnpack: inactivate upstream. for mobile. forget this. no need to enable.
#		 https://github.com/pytorch/pytorch/commit/53c640a5283c82cdd37cd29e7975627d02d094ec#diff-0ddbdb4f5ddba44d9e863e08c31c15f32cf2868e9e0341529cd2697c2ccb25c5L109
export USE_NNPACK = OFF
# xnnpack: active upstream, but only available for selected architectures.
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 riscv64))
export USE_XNNPACK = ON
else
export USE_XNNPACK = OFF
endif

# [number of jobs]
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
export MAX_JOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# Customization options (You may want to rebuild this package locally)
NATIVE :=
ifneq (,$(NATIVE))
export CFLAGS := $(ORIG_CPPFLAGS) $(ORIG_CFLAGS) -gsplit-dwarf -march=native
export CXXFLAGS := $(ORIG_CPPFLAGS) $(ORIG_CXXFLAGS) -gsplit-dwarf -march=native
endif


%:
	dh $@ -Spybuild --with python3

debian/libtorch$(SOVERSION).shlibs:
	sed debian/libtorch$(SOVERSION).shlibs.in \
		-e "s/@SOVERSION@/$(SOVERSION)/g" \
		-e "s/@DEB_VERSION_UPSTREAM@/$(DEB_VERSION_UPSTREAM)/g" \
		> $@
	cp -v $@ debian/libtorch-cuda-$(SOVERSION).shlibs
	cp -v $@ debian/libtorch-rocm-$(SOVERSION).shlibs

override_dh_auto_configure: debian/libtorch$(SOVERSION).shlibs
	cd third_party/ && rmdir googletest || cp -rv /usr/src/googletest .
	# fix python and shell shebang -- no /usr/bin/env
	find . -type f -name '*.py' -exec sed -i -e 's@#!/usr/bin/env python.*@#!/usr/bin/python3@' '{}' \;
	find . -type f -name '*.sh' -exec sed -i -e 's@#!/usr/bin/env @#!/usr/bin/@g' '{}' \;
	# regenerate flatbuffers code. See tools/gen_flatbuffers.sh
	cd torch/csrc/jit/serialization/ && flatc --cpp --gen-mutable --scoped-enums mobile_bytecode.fbs 

override_dh_auto_build:
	true # In order to avoid building everything twice.

override_dh_auto_test:
	true

# [determine main package name based on device support]
ifneq (,$(shell command -v nvcc))
# --- CUDA variant
PKG_NAME=python3-torch-cuda
else ifneq (,$(shell command -v hipcc))
# --- ROCM variant
PKG_NAME=python3-torch-rocm
else
# --- CPU variant
PKG_NAME=python3-torch
endif

# [maintainer note] The build results in many shared objects ...
# but not all of them are important. You may check the contents of the
# upstream release of libtorch binary tarball in https://pytorch.org/
# for the list of most important shared objects.
# Alternatively, you may browse the conda-meta/pytorch-*.json files
# under an anaconda instance.
# [maintainer note on python version]
# This package is built for a single version (default python3) only.
# Extending to multiple python3 versions is not easy because
# libtorch_python.so is coupled with a single python version.
override_dh_auto_install:
	# [build and install]
	@echo Building and installing to debian/$(PKG_NAME)/
	for PY in $(shell py3versions -d); do \
		$$PY -m pip install . -vv \
		--no-deps \
		--ignore-installed \
		--no-build-isolation \
		--root=$(CURDIR)/debian/$(PKG_NAME)/ \
		--prefix=/usr ;\
		done
	# [list shared objects] use `ls build/lib/*.so` to get a list of all compiled shared objects.
	echo {begin listing shared objects}
	find build/lib -type f | sort
	echo {end listing shared objects}
	# [python3-torch::headers -> libtorch-dev] move the headers out of the python package
ifneq (,$(shell command -v nvcc))
	# --- CUDA variant
	mkdir -pv debian/libtorch-cuda-dev/usr/include

## pytorch 2.9.1+dfsg

=== debian/changelog ===
pytorch (2.9.1+dfsg-1~exp1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Jan 2026 09:14:03 +0000

pytorch (2.9.1+dfsg-1~exp1ubuntu1) resolute; urgency=medium

  * Restore ppc64 build patch to fix FTBFS.

 -- Mario Limonciello <superm1@debian.org>  Thu, 22 Jan 2026 00:06:47 -0600

pytorch (2.9.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2.9.1+dfsg
  * d/patches: drop merged patch for ppc64 builds
  * d/patches: refresh version patch

 -- Aron Xu <aron@debian.org>  Tue, 13 Jan 2026 20:43:26 +0800

pytorch (2.9.0+dfsg-1~exp2) experimental; urgency=medium

  * d/patches: backport patch to fix ftbfs on ppcel64.
  * d/{control,patches}: compile with libkleidiai-dev on arm64.
  * d/tests: generate test stanza from latest upstream code.
  * d/rules: add requirements-build.txt when generating python dependencies.
  * d/patches: link all cpu tests against libsleef to fix ftbfs on ppcel64.

 -- Shengqi Chen <harry@debian.org>  Fri, 09 Jan 2026 17:35:25 +0800

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
                mpi-default-dev,
                libideep-dev (>= 0.0~git20230825.6f4d653~) [amd64 arm64 ppc64el s390x],
                liblapack-dev,
+               libkleidiai-dev [arm64],
                llvm-21,
                llvm-21-dev,
                libnuma-dev,

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Features: test-name=py_blas_openblas
 
 Test-Command: cd debian/tests ; python3 blas.py
-Depends: python3-torch, libblis4
+Depends: dpkg-dev, python3-torch, libblis4
 Restrictions: allow-stderr
 Features: test-name=py_blas_blis

## pytorch memlab-0.2.4

=== requirements.txt ===
calmsize
torch>=1.4
future
ipython>=0.13
pandas>=0.18

## pytorch tabular-0.5.0

=== requirements.txt ===
torch>=1.3
category-encoders==2.2.2
numpy>=1.16.6
pandas==1.1.5
scikit-learn==0.23.2
pytorch-lightning==1.0.8 #works well with wandb
omegaconf==2.0.5
tensorboard>=2.2.0
pytorch-tabnet==3.0.0
PyYAML>=5.1  # OmegaConf requirement >=5.1
# importlib-metadata <1,>=0.12
ipywidgets
matplotlib

## pytorch tabular-0.7.0

=== requirements.txt ===
torch>=1.4
category-encoders==2.2.2
numpy>=1.17.2
pandas==1.1.5
scikit-learn>=0.23.2
pytorch-lightning==1.3.6
omegaconf>=2.0.1
torchmetrics>=0.3.2
tensorboard>=2.2.0, !=2.5.0
pytorch-tabnet==3.0.0
PyYAML>=5.1.*  # OmegaConf requirement >=5.1
# importlib-metadata <1,>=0.12
matplotlib>3.1
ipywidgets
# Use dataclasses backport for Python 3.6.
dataclasses;python_version=='3.6'
einops==0.3.0

## pytorch tabular-1.0.0

=== requirements.txt ===
torch>=1.8.1
category-encoders==2.5.*
numpy>=1.17.2
pandas>=1.1.5
scikit-learn>=1.0.0
pytorch-lightning==1.8.*
omegaconf>=2.0.1
torchmetrics==0.11.*
tensorboard>=2.2.0, !=2.5.0
protobuf<=3.20.*
pytorch-tabnet==4.0
PyYAML<=5.4.1, >=5.1
# importlib-metadata <1,>=0.12
matplotlib>3.1
ipywidgets
# Use dataclasses backport for Python 3.6.
dataclasses;python_version=='3.6'
einops==0.6.*
rich>=10.2.2

## pytorch tools-0.1.4

=== requirements.txt ===
torch>=1.1
inplace-abn

## pytorch tools-0.1.5

=== requirements.txt ===
torch>=1.4
inplace-abn
